Bug 511210 - bluetooth not enabled until I turn RF kill switch off and then on again
bluetooth not enabled until I turn RF kill switch off and then on again
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 04:51 EDT by birger
Modified: 2009-09-16 10:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-16 10:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description birger 2009-07-14 04:51:34 EDT
Description of problem:
After a reboot I have to turn the RF kill switch off and then on again before my bluetooth gets enabled.

Version-Release number of selected component (if applicable):
bluez-4.45-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. 
3. 


  
Actual results:

Notification bar icon has a red cross.

I have a menu entry to turn off (yes, turn off, not on)
If I select Properties, it offers me a button to start the service. If I press the button it goes grey and nothing happens.

This is just like the previous bug I reported on bluez, except now I can fix it by turning the RF kill switch off and on again. After that it works nicely, at least for blueproximity and amora. I have not tried file transfers yet.


Expected results:

As above, but without having to turn off and on whenever I reboot.

Additional info:

HP EliteBook 2530p
Comment 1 Bastien Nocera 2009-09-16 10:03:32 EDT
Was fixed in 4.47-2:

* Wed Aug 05 2009 Bastien Nocera <bnocera@redhat.com> 4.47-2
- Remove hid2hci calls, they're in udev now 
- Work-around udev bug, bluetoothd wasn't getting enabled
  on coldplug

Note You need to log in before you can comment on or make changes to this bug.